# Auto Initiative Plugin

This unofficial TaleSpire plugin places an image on the screen for all players (not GMs) when in Initiative (Turn Order)
mode. This allows the plugin to partially or completely cover the initiative order for players.

Comes with sample images to:

1. Reduce the player's visibility of the initiative order to the previous, current and next creature. 
2. Reduce the player's visibility of the initiative order to the current creature (name showing).
3. Reduce the player's visibility of the initiative order to the current creature (name not showing).

If these are not suitable, the GM can easily customize the cover image to suit his/her needs. 

This plugin, like all others, is free but if you want to donate, use: http://LordAshes.ca/TalespireDonate/Donate.php

## Change Log
```
1.0.0: Initial release
```

## Install

Install using R2ModMan or similar.

## Usage - Setup

The plugin uses an image with the name ``org.lordashes.plugins.suspenseinitiative.png``.
A defaut file is provdied as well as two additional ones (``org.lordashes.plugins.suspenseinitiative2.png`` and
``org.lordashes.plugins.suspenseinitiative3.png``) which can be used instead by renaming the original and then
renaming the desired image to ``org.lordashes.plugins.suspenseinitiative.png``.

Alternatively the GM can create a custom image using the provided images as a template.

Note: Avoid covering up parts of the screen which have drop down menus (such as the GM/Player drop down) since the cover
image display on top of such menus and thus the menu entries will not be visible while in Player mode.

When testing a cover, it can be helpful to be able to reload the cover texture while in game. This can be done by pressing
the corresponding keyboard combination (default ``RCTRL`` + ``I``).

``RCTRL`` + ``I`` = Reload cover texture. This is not a distributed command (only affects the local machine)

## Usage - In Game

There is no special action needed in game. When Initiative (Turn Order) mode is activated, all players (but not GMs) will
see the cover image displayed over the screen. When the mode is switched to some other mode, the cover will be removed.